Package Details: rednotebook 2.8-1

Git Clone URL: https://aur.archlinux.org/rednotebook.git (read-only)
Package Base: rednotebook
Description: A simple desktop diary.
Upstream URL: http://rednotebook.sourceforge.net
Keywords: diary notes personal
Licenses: GPL2
Submitter: FadeMind
Maintainer: SanskritFritz
Last Packager: SanskritFritz
Votes: 36
Popularity: 2.451753
First Submitted: 2015-08-12 04:14
Last Updated: 2018-11-15 21:09

Latest Comments

1 2 3 Next › Last »

SanskritFritz commented on 2018-11-10 17:36

tedbuckland Thanks for this solution! I'll update the package right away.

tedbuckland commented on 2018-11-10 14:14

SanskritFritz, could you add gtksourceview3 to the list of dependencies, please?

flash872 commented on 2018-11-10 14:13

@tedbuckland, yes, that was the solution, running fine now---thank you!

If you don't mind, how could I have figured that out on my own?

tedbuckland commented on 2018-11-10 14:08

I think you need gtksourceview3. Could you install it and see if that makes things work?

flash872 commented on 2018-11-10 13:53

@tedbuckland, thanks. I have gtksourceview2 installed on my system. Is that sufficient? The extra repo also has gtksourceview3 and gtksourceview4 available, but those are not currently installed on mine.

tedbuckland commented on 2018-11-10 13:40

I think the error appears because of a missing dependency. RedNotebook 2.7 requires GtkSourceView. Not sure which package name in AUR this corresponds to.

SanskritFritz commented on 2018-11-10 13:25

My archlinux is 2 months old now, I'll do a pacman -Syu and see what happens.

flash872 commented on 2018-11-10 13:17

Thanks for your post. Yes, my system is up-to-date.

I don't know if this is relevant, but in my system, there is no file /lib/python3.7/site-packages/gi/init.py. Rather, there is a file /lib/python3.7/site-packages/gi/_init_.py.

Does this tell anything?

SanskritFritz commented on 2018-11-10 13:15

That is strange, it looks like an old bug: https://github.com/jendrikseipp/rednotebook/issues/326 Is your system up-to-date?

flash872 commented on 2018-11-10 13:00

Hi!

As of the last update (2018-11-09), I'm receiving the following error:

" Traceback (most recent call last): File "/usr/bin/rednotebook", line 6, in <module> import journal ModuleNotFoundError: No module named 'journal'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/rednotebook", line 11, in <module> import rednotebook.journal File "/usr/lib/python3.7/site-packages/rednotebook/journal.py", line 44, in <module> gi.require_version('GtkSource', '3.0') File "/usr/lib/python3.7/site-packages/gi/init.py", line 127, in require_version raise ValueError('Namespace %s not available' % namespace) ValueError: Namespace GtkSource not available "

This error is consistent across all my arch machines (4).

Not sure what to do next. Sincere thanks for any assistance!